js_open(3)

NAME
js_open - Private function that opens up a file with open(2)

SYNOPSIS
#include JsStr.h

void js_open(js_string *filename, js_file *desc, int flags)

DESCRIPTION
js_open is a function that opens up a file with open(2), using the contents in the js_string object filename to determine the file name, and flags to determine the opening flags. desc is where we store the opened file descriptor.

RETURN VALUE
js_open is a void function. The member filetype of the structure desc will have an invalid value if an error occured opening the file.

NOTES
Please do not use this function. Use js_open_read, js_open_write, or js_open_append instead.

I am declaring this function a private function because programs using the js_string library really should not be utilizing Unix-specific file flags. In other words, use this function at your own risk, because I may change the interface of this function or delete this function altogether in future releases of the js_string library.

AUTHOR
Sam Trenholme <kiwi-zttfryb@koala.samiam.org>